body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
}

header {
    text-align: center;
    width: 100%;
    padding: 10px 0;  
    box-sizing: border-box;
    position: relative;  
    top: 0;  
    left: 0;  
    right: 0;  
    height: 60px;  
    display: flex;
    align-items: center;  
    background-color: white;
    border-radius: 6px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
    z-index: 1000;
}

header h1 {
    font-size: 2rem;
    font-weight: bold;
    color: #333;
    margin: 0;
    text-align: center;
    margin-left: 110px;
    flex-grow: 1;
}

.custom-button {
    font-size: 16px;
    text-decoration: none;
    background-color: #075E6F;
    color: white;
    padding: 5px 10px;
    border-radius: 5px;
    position: absolute;
    left: 20px; 
    top: 50%;
    transform: translateY(-50%);
}

.custom-button:hover {
    background-color: #065565;
}

.main-container {
    position:relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start; 
    flex-direction: row;
    gap: 20px;
    margin-top: 10px;
    width:90vw;
    height:90vh;
}

.controls {
    background: white;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    position: flex-start;
    top: 70px;
    flex-shrink: 0;
    flex-grow: 1;
    flex-basis:10%;
}

.chord-container {
    background: white;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 80%;
    min-height:80vh;
    min-width: 500px;
}

select {
    margin:auto;
    padding: 8px 12px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 4px;
    background: white;
    cursor: pointer;
}

@media (max-width: 1000px) {
    header h1 {
        font-size: 1.5rem;
    }
}